POST tokens/{id}/Allowances?pin={pin} · POS API
POST tokens/{id}/Allowances?pin={pin}
/tokens/{id}/Allowances?pin={pin}This allows you to withdraw an amount from the allowances of the token.
*Please form a checksum (see Security-Token) for the ** {id} *and specify it in the 'SecurityToken' header.
Parameter
idstringErforderlichEnter the token read from a carrier medium here. If the token is longer than 50 bytes, it should be transmitted via the token request header instead of the URL.
'cardId123'pinstringEnter the optional PIN here in case the field RequiresPin of the response of GET tokens/{id}/info is set to true. The PIN will usually be printed on the gift card
'PQ123'Request-Header
DevKey{Your Key}TrackingUnitId{trackingUnitId}SecurityToken{checksum over {id}}Tokenoptional {the token read from a carrier medium as customer identifier}Kontext: tokens
Tokens are arbitrary, but always different, non-repeatable strings, which can be used for identification purposes as well as for of a consumer ('consumer') as well as for the identification of a credit balance ('balance'). As a rule these tokens are stored on any carrier medium and sent to a consumer in the form of a 'customer card' or 'gift card handed over. The consumer will have to present this carrier medium at the POS with his next purchases in order to access the to be able to access credit or to be credited with menio-Rewards.
Originaler Blueprint-Ausschnitt
### POST tokens/{id}/Allowances?pin={pin} [POST]
This allows you to withdraw an amount from the allowances of the token.
*Please form a checksum (see [Security-Token](#introduction/basic/security-token)) for the ** **{id}** *and specify it in the 'SecurityToken' header.
+ Parameters
+ id (string, `'cardId123'`) ... Enter the token read from a carrier medium here. If the token is longer than 50 bytes, it should be transmitted via the token request header instead of the URL.
+ pin (optional, string, `'PQ123'`) ... Enter the optional PIN here in case the field `RequiresPin` of the response of GET tokens/{id}/info is set to `true`. The PIN will usually be printed on the gift card
+ Request
+ Headers
DevKey: {Your Key}
TrackingUnitId: {trackingUnitId}
SecurityToken: {checksum over {id}}
Token: optional {the token read from a carrier medium as customer identifier}
+ Body
{
"UserGroup": {
"Key": "123",
"Name": "Internal Customers"
},
"Allowances": [
{
"Id": 1,
"ThirdPartyId": "9999",
"Amount": 5.99
}
]
}
+ response 200
[
{
"Id": 1,
"ThirdPartyId": "9999",
"Amount": 5.99,
"Success": true
}
]